/*
 *  Jomar3D, a lobster-running-to-catch game.
 *  Copyright (C) 2006-2008 Jonathan Michalon <studios.chalmion@no-log.org>.
 * 
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */


#ifndef CORE_H
#  define CORE_H

#  include "version.h"
#  ifndef VERSION
#    define VERSION "beta"
#  endif

#  ifndef SKINDIR
#    define SKINDIR DATADIR"/skin"
#  endif

#  ifdef GL_ARB_vertex_buffer_object
GLuint vbobuf;                  // vbo pointer
#  endif

#  define newall 4              // newall: number of wells from each size
#  define walllong 10           // walllong: max length of the wells
int wells[walllong][newall][3]; /* 1st: size of the wall
                                   2de: wall number
                                   3de: 0 x position, 1 y position, 2 direction */

float tbase, gotime;
int going;
int lastaction;                 // useful for the crash sound in the walls
unsigned char nextaction;       // next move from the lobster (when given during a move)

void activemart (void);
void beginscores (int);
void calclobsterpos (void);
void initgame (void);
void startbehindmart (int dummy);
void saveoptions (void);
int tryeat (void);
int tryplace (int actionhyp);


#endif /* guard */
