/*
 *  Jomar3D, a lobster-running-to-catch game.
 *  Copyright (C) 2006-2008 Jonathan Michalon <studios.chalmion@no-log.org>.
 * 
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */


#ifndef DRAW_H
#  define DRAW_H

#  include <GL/gl.h>
#  include <GL/glu.h>

#  define leglong 26.5          // length of each leg

typedef enum
{
  RESERVED,
  PINCEOUV, PINCECLO, ARM, ANT, TAIL, BODY, LEG,   /* lobster */
  HEAD, SOCCER, GLASS,          /* martian */
  TOPBOT, wallmax, SMALLMAP, CLOUDS,   // misc
  MENU, CYL1, CYL2, CYL3, CYL4, CYL5, CYL6, CYL7, CYL8, CYL9, CYL10  // MENU
} displayLists;

float lega[4];                  // current angle of each leg
float average;                  // average of fps
int openp;                      // logical whether the pince is open

long unsigned int timeneeded;   // time needed to win

#  define SELBUFFLEN 512
GLuint selbuff[SELBUFFLEN];

GLUquadricObj *quadObj;

GLfloat anglex;                 /* in degrees */
GLfloat angley;                 /* in degrees */
GLfloat posex, posey;           /* position of the eyes relative to the center of the lobster */
int homposx, homposy;           // lobster position x, y


void calculatefps (void);
void createmenulists (int listnb);
void drawscores (void);
void redraw (void);
void setgameattribs (void);
void createsmap (void);
void maketail (void);
void loadtextures (int first);
void redrawmenu (void);
void output (GLfloat x, GLfloat y, GLfloat factx, GLfloat facty, char *text);
void initshadow (void);



#endif /* guard */
