/*
 *  Jomar3D, a lobster-running-to-catch game.
 *  Copyright (C) 2006-2008 Jonathan Michalon <studios.chalmion@no-log.org>.
 * 
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */


#ifndef SOUND_H
#  define SOUND_H

#  ifndef USESOUNDSDLMIXER
#    define USESOUNDSDLMIXER 1  /* use the sdl mixer library? load converts on-the-fly and permit ogg & voc files  */
#  endif
#  ifndef USESOUNDSDL
#    define USESOUNDSDL 0       /* use the sound engine of the sdl library? Only if no sdl mixer. */
#  endif

#  if (USESOUNDSDL) || (USESOUNDSDLMIXER)

#    include <SDL.h>
#    if (USESOUNDSDLMIXER)
#      include <SDL_mixer.h>
#    endif



/* Default directory definition : when not given by make */

#    include "jomar3D.h"

#    ifndef MUSICDIR
#      define MUSICDIR DATADIR"/music"
#    endif

#    ifndef SOUNDDIR
#      define SOUNDDIR DATADIR"/sound"
#    endif

enum
{ BACKGROUND, WALL, TRYCATCH, PICKUP, WON, WALK, BOOST, CHOU,
  SMENU1, SMENU2, SMENU3, SMENU4, SMENU5, SMENU6, SMENU7, SMENU8, SMENU9,
  SMENU10, LAST
};                              // name of each mix track


int playsound;                  // whether we should play sounds (user dynamic wish)
int nosound;                    // whether we have -nosound flag  (0 = no flag) or a problem with sound init


void launchmusic (void);
void mixsound (int);

void changemusic (void);



#  endif
#endif /* guard */
